Newsletters

Get newsletter invite

Returns the invite code and shareable invite link (https://whatsapp.com/channel/<code>) for a WhatsApp newsletter/channel.

GET
/newsletters/{jid}/invite

Returns the invite code and shareable invite link (https://whatsapp.com/channel/) for a WhatsApp newsletter/channel.

Authorization

bearerAuth
AuthorizationBearer <token>

Per-user API token (UUID v4) sent as Authorization: Bearer <token>. Identifies the tenant and user.

In: header

Path Parameters

jid*string

Newsletter JID.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/newsletters/120363401234567890@newsletter/invite"
{  "success": true,  "jid": "120363401234567890@newsletter",  "invite_code": "0029Vxxxxxxx",  "invite_link": "https://whatsapp.com/channel/0029Vxxxxxxx"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}